For AI agents: The documentation index is at https://docs.digitalocean.com/llms.txt. Markdown versions of pages use the same URL with index.html.md in place of the HTML page (for example, append index.html.md to the directory path instead of opening the HTML document).
Usage
client.v2.actionGateway.actors.byActor_id(actor_id).limits.get(requestConfiguration?: RequestConfiguration<object>): Promise<undefined | Get_actor_limits_response>
Description
Returns the per-minute limits set for the actor and the limits in effect, each the lower of your team’s limit and the actor’s override. Returns 404 when the actor has no sessions, connections, or limit overrides.
Parameters
actor_id string required
Example: alice
Actor ID: a session actor_id or a connection user_id, 1 to 64 characters from [A-Za-z0-9._-].
Request Sample
Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
createDigitalOceanClient,
DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";
const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);
const response = await client.v2.actionGateway.actors
.byActor_id("alice").limits.get();
Response Example
Show Response Example
{
"configured_limits": [
{
"category": "LIMIT_CATEGORY_WEB_SEARCH_REQUESTS_PER_MINUTE",
"requests_per_minute": "10"
}
],
"effective_limits": {
"web_search_requests_per_minute": "10",
"web_fetch_requests_per_minute": "120",
"native_tool_calls_requests_per_minute": "600",
"non_native_tool_calls_requests_per_minute": "600"
}
}
See /v2/action-gateway/actors/{actor_id}/limits in the API reference for additional detail on responses, headers, parameters, and more.